namespace Hawkeye.VisionBuilder.Workflow.Datatypes.Elements.RotatedRectangle;

public class RotatedRectangleHeightNode:INode
{
    private readonly RotatedRectangleElement _owner;

    public RotatedRectangleHeightNode(RotatedRectangleElement owner)
    {
        _owner = owner;
    }

    public void SetPosition(Vector2 position)
    {
        _owner.Height=position-_owner.Location;
    }
}